.services_slider .swiper-slide {
    width: clamp(300px, 22%, 350px);
    height: 400px;
    min-height: 400px;
    background-color: #ffffff0d;
}

.services_slider .swiper-slide > a{
    display: block;
    height: 100%;
    width: 100%;
    padding: 24px;
}

.services_slider .card_wrapper {
    height: 100%;
    width: 100%;
    padding: 24px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    overflow: hidden;
    background-repeat: no-repeat;
    background-size: cover;
}

.services_slider .card_wrapper * {
    font-family: "Graphik", Sans-serif;
}

.services_slider .swiper-slide:nth-child(1n){
    background-image: url('../images/service-card-1.svg');
}

.services_slider .swiper-slide:nth-child(2n){
    background-image: url('../images/service-card-2.svg');
}

.services_slider .swiper-slide:nth-child(3n){
    background-image: url('../images/service-card-3.svg');
}

.services_slider .swiper-slide:nth-child(4n){
    background-image: url('../images/service-card-4.svg');
}

.services_slider .content-part {
    margin-top: auto;
    transition: 0.3s;
    display: flex;
    flex-direction: column;
    transform: translateY(75px);
    gap: 24px;
}

.btn-service-slide,
.btn-view-details{
    font-family: "Graphik", Sans-serif;
    font-size: 16px;
    font-weight: 500;
    color: #D2D9D9;
    background-color: transparent;
    border: 1px solid #D2D9D9;
    border-radius: 8px;
    padding: 12px 28px;
    transition: 0.3s;
    text-align: center;
    line-height: normal;
}

.btn-service-slide{
    visibility: hidden;
}

.btn-service-slide:hover,
.btn-view-details:hover{
    text-decoration: none;
    outline: none;
    background-color: #D2D9D9;
    color: #3b1f5c;
}

.btn-service-slide:hover svg path,
.btn-view-details:hover svg path{
    fill: #3b1f5c;
}

.services_slider .content-part a.service_permalink{
    display: none;
    padding: 12px;
    background: var(--primary);
    border-radius: 50%;
}

.services_slider .swiper-slide:hover .content-part{
    transform: translateY(0px);
    transition: 0.45s;
}

.services_slider .service_type {
    color: #91929b;
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
}

.services_slider .service_title {
    color: #fff;
    font-size: 24px;
    font-style: normal;
    font-weight: 600;
    line-height: 140%;
}

.services_slider .service_desc{
    color: rgba(255, 255, 255, 0.75);
    font-size: 18px;
    font-weight: 400;
    line-height: 150%;
}

/* Swiper Controls Setting */
.swiper-btn-next-services:after,
.swiper-btn-prev-services:after{
    font-size: 1rem !important;
    color: #FFFFFF80;
    font-family: swiper-icons;
    text-transform: none!important;
    letter-spacing: 0;
    font-variant: initial;
    line-height: 1;
}

.swiper-btn-prev-services:after{
    content: 'prev';
}

.swiper-btn-next-services:after{
    content: 'next';
}

.swiper-btn-next-services,
.swiper-btn-prev-services{
    position: absolute;
    top: -104px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border: 1px solid #e8e8e8;
    transition: 0.3s;
}

.swiper-btn-next-services:hover,
.swiper-btn-prev-services:hover{
    border-color: var(--white);
    background-color: var(--white)
}

.swiper-btn-next-services:hover::after,
.swiper-btn-prev-services:hover::after{
    color: #3b1f5c;
}

.swiper-btn-next-services{
    right: 0;
}

.swiper-btn-prev-services{
    right: 60px;
}

.swiper-btn-next-services.swiper-button-disabled, 
.swiper-btn-prev-services.swiper-button-disabled{
    opacity: .35;
    cursor: auto;
    pointer-events: none;
}

@media screen and (max-width: 1024px){

    .services_shortcode_wrapper .elementor-shortcode {
        width: calc( 100% - 20px );
    }

    .swiper-btn-next-services,
    .swiper-btn-prev-services{
        display: none !important;
    }

    .services_slider .swiper-slide{
        height: 300px;
        min-height: 275px;
    }

    .services_slider .content-part{
        transform: translateY(0);
    }

    .services_slider .service_type{
        font-size: 14px;
    }

    .services_slider .service_title{
        font-size: 20px;
    }

    .services_slider .service_desc{
        font-size: 16px;
    }

    .btn-service-slide,
    .btn-view-details{
        font-size: 14px !important;
        padding: 8px 20px !important;
    }
}